Package com.ocient.auth

# Class OpenIDAuthenticators.OAuthToken

java.lang.Object
com.ocient.auth.OpenIDAuthenticators.OAuthToken

All Implemented Interfaces:
  `Token`

Direct Known Subclasses:
  `OktaAuthenticators.OktaNativeSSOToken`

Enclosing class:
  OpenIDAuthenticators

public static class OpenIDAuthenticators.OAuthToken extends Object implements Token
Token(s) received from an OAuth 2.0 Token Endpoint

## Constructor Summary

Constructors
Constructor
Description
`OAuthToken(com.google.gson.JsonObject tokenResponse)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getToken()`
`String`
`getTokenHint()`
`com.google.gson.JsonObject`
`getTokenResponse()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OAuthToken

public OAuthToken(com.google.gson.JsonObject tokenResponse)

## Method Details

### getTokenHint

public String getTokenHint()

Specified by:
  `getTokenHint` in interface `Token`
Returns:
  the token hint to forward to the database

### getToken

public String getToken() throws AuthException

Specified by:
  `getToken` in interface `Token`
Returns:
  the token payload
Throws:
  `AuthException` - if the token cannot be returned

### getTokenResponse

public com.google.gson.JsonObject getTokenResponse()